## file 5.29

=== debian/changelog ===
file (1:5.29-3ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow when processing elf files
    - debian/patches/CVE-2017-1000249.patch: correct logic of size check
    - CVE-2017-1000249

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 07 Sep 2017 11:09:08 -0700

file (1:5.29-3) unstable; urgency=medium

  * Restore full local.support-local-definitions-in-etc-magic patch.
    Closes: #852476
  * Include all upstream commits since the 5.29 release
  * Improve detection of Flash data. Closes: #838860

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 26 Jan 2017 00:29:24 +0100

file (1:5.29-2) unstable; urgency=medium

  * Include all upstream commits since the 5.29 release. Addresses:
    - Detect compiled YARA rules. Closes: #833872
    - Detect old Word for Mac documents. Closes: #842117
  * Disable detection of Algol68 files, way too many false positives

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 13 Dec 2016 16:06:43 +0100

file (1:5.29-1) unstable; urgency=medium

  * New upstream version 5.29. Addresses (in order of appearance):
    - "no read permission" if read from empty pipe. Closes: #508963
    - Mistakes hungarian text as dos executables. Closes: #641012
    - Does not recognize some GPG key public rings. Closes: #729286
    - Show more information for MySQL files. Closes: #751826
    - Linux kernel version string truncated. Closes: #756949
    - Document file's '-d' option. Closes: #764462
    - Detect JPEG-XR. Closes: #771303
    - Detect Material exchange container format (mxf). Closes: #782744
    - Strengthen detection of Embedded OpenType (EOT). Closes: #784572
    - Mistakes some text as bitmap. Closes: #799352
    - Dectect swp files from nano, vim, and kate. Closes: #803219
    - Mistakes some SVG files as HTML. Closes: #829199
  * Fix FTCBFS: Remove stage1 profile in favour of a proper arch/indep
    split. Thanks Helmut Grohne. Closes: #841030

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 25 Oct 2016 21:09:24 +0200

file (1:5.28-4) unstable; urgency=low

  * Ship the compiled magic file in a separate package so libmagic1 is
    finally multi-arch compliant. Thanks Jakub Wilk for the final
    impetus and suggestions. Closes: #670006 (take two)
  * Declare compliance with Debian policy 3.9.8

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 21 Jul 2016 21:42:43 +0200

file (1:5.28-3) unstable; urgency=low

  * Packaging cleanup, no code changes
    - No longer ship file-dbg, use -dbgsym instead
    - Remove cruft: lintian override, obsolete substvars, explicit
      usage of xz
    - Re-word package descriptions

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 17 Jul 2016 14:03:33 +0200

=== debian/control ===
Source: file
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://www.darwinsys.com/file/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20141010~),
    dpkg-dev (>= 1.17.14~),
Build-Depends-Arch:
    dh-autoreconf,
    zlib1g-dev,
Build-Depends-Indep:
    dh-python,
    python-all,
    python-setuptools,
    python3-all,
    python3-setuptools,
Priority: standard
Section: utils

Package: file
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    libmagic1 (= ${binary:Version}),
Multi-Arch: foreign
Description: Recognize the type of data in a file using "magic" numbers
 The file command is "a file type guesser", a command-line tool that
 tells you in words what kind of data a file contains.
 .
 This package contains the file program itself.

Package: libmagic1
Architecture: any
Pre-Depends:
    ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
    libmagic-mgc (= ${binary:Version}),
Suggests:
    file,
Section: libs
Multi-Arch: same
Description: Recognize the type of data in a file using "magic" numbers - library
 This library can be used to classify files according to magic number
 tests. It implements the core functionality of the file command.

Package: libmagic-mgc
Architecture: any
Depends: ${misc:Depends},
Breaks:
    libmagic1 (<< 1:5.28-4~),
Replaces:
    libmagic1 (<< 1:5.28-4~),
Section: libs
Multi-Arch: foreign
Description: File type determination library using "magic" numbers (compiled magic file)
 This package provides the compiled magic file "magic.mgc". It has
 been separated from libmagic1 in order to meet the multiarch
 requirements without breaking applications that expect this file
 at its absolute path.

Package: libmagic-dev
Architecture: any
Depends: ${misc:Depends},
    libmagic1 (= ${binary:Version}),
Suggests:
    file,
Section: libdevel
Priority: optional
Multi-Arch: same
Description: Recognize the type of data in a file using "magic" numbers - development
 This library can be used to classify files according to magic number
 tests.
 .
 This package contains the development files.

Package: python-magic
Architecture: all
Depends: ${misc:Depends},
    ${python:Depends},
    libmagic1 (>= ${binary:Version}),
    libmagic1 (<< ${binary:Version}.1~),
Provides:
    ${python:Provides},
Section: python
Priority: optional
Description: Recognize the type of data in a file using "magic" numbers - Python bindings
 This package contains the Python bindings for the libmagic file type
 detection library.

Package: python3-magic
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    libmagic1 (>= ${binary:Version}),
    libmagic1 (<< ${binary:Version}.1~),
Section: python
Priority: optional
Description: Recognize the type of data in a file using "magic" numbers - Python 3 bindings
 This package contains the Python 3 bindings for the libmagic file type
 detection library.

## file 5.30

=== debian/changelog ===
file (1:5.30-1+deb9u3) stretch-security; urgency=high

  * Cherry-pick commit to restrict the number of CDF_VECTOR elements.
    Closes: #942830 [CVE-2019-18218]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 22 Oct 2019 22:20:07 +0200

file (1:5.30-1+deb9u2) stable; urgency=high

  * Avoid reading past the end of buffer. Closes: #901351
    [CVE-2018-10360]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 11 Jun 2018 23:16:09 +0200

file (1:5.30-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-1000249: stack based buffer overflow via specially crafted .notes
    section in an ELF binary

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Sep 2017 21:23:02 +0200

file (1:5.30-1) unstable; urgency=high

  * New upstream version 5.30
  * Cherry-pick commits that fix issues found by oss-fuzz
  * Revert new features introduced since 1:5.29-3

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 29 Apr 2017 10:57:11 +0200

## file 5.32

=== debian/changelog ===
file (1:5.32-2ubuntu0.4) bionic-security; urgency=medium

  * SECURITY REGRESSION: truncated interpreter name (LP: #1835596)
    - debian/patches/CVE-2019-8905_8907.patch: updated to use correct
      length in src/readelf.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 May 2020 09:31:09 -0400

file (1:5.32-2ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via CDF_VECTOR elements
    - debian/patches/CVE-2019-18218.patch: limit the number of elements in
      a vector in src/cdf.*.
    - CVE-2019-18218

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Oct 2019 12:50:19 -0400

file (1:5.32-2ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: overflows in do_core_note
    - debian/patches/CVE-2019-8905_8907.patch: limit size of file_printable
      in src/file.h, src/funcs.c, src/readelf.c, src/softmagic.c.
    - CVE-2019-8905
    - CVE-2019-8907
  * SECURITY UPDATE: out-of-bounds read in do_core_note
    - debian/patches/CVE-2019-8906.patch: add bounds check in
      src/readelf.c.
    - CVE-2019-8906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2019 12:43:04 -0400

file (1:5.32-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read via crafted ELF file
    - debian/patches/CVE-2018-10360.patch: add bounds check to
      src/readelf.c.
    - CVE-2018-10360

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jun 2018 13:09:39 -0400

file (1:5.32-2) unstable; urgency=medium

  * No longer ship python-magic libraries, they are now provided
    by src:python-magic

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 13 Feb 2018 21:43:38 +0100

file (1:5.32-1) unstable; urgency=high

  * New upstream version 5.32

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 04 Sep 2017 18:20:35 +0200

file (1:5.31-1) unstable; urgency=medium

  * New upstream version 5.31

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 06 Aug 2017 17:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://www.darwinsys.com/file/
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9.20141010~),
-    dpkg-dev (>= 1.17.14~),
-Build-Depends-Arch:
-    dh-autoreconf,
+Standards-Version: 4.0.1
+Build-Depends: debhelper (>= 10~),
     zlib1g-dev,
-Build-Depends-Indep:
-    dh-python,
-    python-all,
-    python-setuptools,
-    python3-all,
-    python3-setuptools,
 Priority: standard
 Section: utils
 
@@ -37,6 +28,7 @@
 Suggests:
     file,
 Section: libs
+Priority: optional
 Multi-Arch: same
 Description: Recognize the type of data in a file using "magic" numbers - library
  This library can be used to classify files according to magic number
@@ -50,6 +42,7 @@
 Replaces:
     libmagic1 (<< 1:5.28-4~),
 Section: libs
+Priority: optional
 Multi-Arch: foreign
 Description: File type determination library using "magic" numbers (compiled magic file)
  This package provides the compiled magic file "magic.mgc". It has
@@ -71,28 +64,3 @@
  tests.
  .
  This package contains the development files.
-
-Package: python-magic
-Architecture: all
-Depends: ${misc:Depends},
-    ${python:Depends},
-    libmagic1 (>= ${binary:Version}),
-    libmagic1 (<< ${binary:Version}.1~),
-Provides:
-    ${python:Provides},
-Section: python
-Priority: optional
-Description: Recognize the type of data in a file using "magic" numbers - Python bindings
- This package contains the Python bindings for the libmagic file type
- detection library.
-
-Package: python3-magic
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-    libmagic1 (>= ${binary:Version}),
-    libmagic1 (<< ${binary:Version}.1~),
-Section: python
-Priority: optional
-Description: Recognize the type of data in a file using "magic" numbers - Python 3 bindings
- This package contains the Python 3 bindings for the libmagic file type
- detection library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# HOWMANY is the number of bytes looked at by file
CFLAGS += -DHOWMANY=0x18000

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--datadir=\$${prefix}/share \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=\$${prefix}/share/man \
		--enable-fsect-man5 \
		--enable-static \
		--disable-silent-rules CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install

	mv debian/tmp/usr/share/misc debian/tmp/usr/share/file

	install -D -m 0644 magic/magic.local debian/tmp/etc/magic
	install -D -m 0644 magic/magic.local debian/tmp/etc/magic.mime

	# Install additional headers
	mkdir -p debian/libmagic-dev/usr/include/file
	cp src/file.h debian/libmagic-dev/usr/include/file

	# Remove useless files
	rm -f debian/tmp/usr/lib/*/*.la

override_dh_missing:
	dh_missing --fail-missing

override_dh_shlibdeps:
	dh_shlibdeps -Llibmagic1 -ldebian/libmagic1/usr/lib

## file 5.34

=== debian/changelog ===
file (1:5.34-2ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: buffer over-read in do_bid_note
    - debian/patches/CVE-2019-8904-pre.patch: correct error handling for
      file_printf() in src/readelf.c.
    - debian/patches/CVE-2019-8904.patch: avoid non-nul-terminated string
      read in src/readelf.c.
    - CVE-2019-8904
  * SECURITY UPDATE: overflows in do_core_note
    - debian/patches/CVE-2019-8905_8907.patch: limit size of file_printable
      in src/file.h, src/funcs.c, src/readelf.c, src/softmagic.c.
    - CVE-2019-8905
    - CVE-2019-8907
  * SECURITY UPDATE: out-of-bounds read in do_core_note
    - debian/patches/CVE-2019-8906.patch: add bounds check in
      src/readelf.c.
    - CVE-2019-8906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2019 11:58:20 -0400

file (1:5.34-2) unstable; urgency=medium

  * Cherry-pick from upstream: Handle [elf] files without program
    headers gracefully. Closes: #882310

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 05 Aug 2018 19:53:19 +0200

file (1:5.34-1) experimental; urgency=medium

  * New upstream version 5.34, upload to experimental
  * Fixes:
    - Detect FITS image data. Closes: #857999
    - Don't mis-detect enigmail properties. Closes: #903318
  * Also add preliminary magic for:
    - AutoCAD Drawing Exchange Format. Closes: #702744
    - Extended Display Identification Data (EDID). Closes: #896932
    - SketchUp files. Closes: #903693

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 26 Jul 2018 07:28:30 +0200

file (1:5.33-3) unstable; urgency=high

  * Avoid reading past the end of buffer. Closes: #901351
    [CVE-2018-10360]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 11 Jun 2018 22:52:24 +0200

file (1:5.33-2) unstable; urgency=medium

  * Recognize ia64 and amd64 COFF files. Closes: #877643
  * Disable erroneous DBPF detection that breaks SQLite and some
    more. Closes: 897153

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 29 Apr 2018 12:13:32 +0200

file (1:5.33-1) unstable; urgency=low

  * New upstream version 5.33

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 24 Apr 2018 07:39:10 +0200

## file 5.35

=== debian/changelog ===
file (1:5.35-4ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via CDF_VECTOR elements
    - debian/patches/CVE-2019-18218.patch: limit the number of elements in
      a vector in src/cdf.*.
    - CVE-2019-18218

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Oct 2019 12:49:38 -0400

file (1:5.35-4) unstable; urgency=medium

  * Cherry-pick fix for JSON detection. Closes: 922874

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Mar 2019 08:05:54 +0100

file (1:5.35-3) unstable; urgency=medium

  * Cherry-pick many commits since 5.35 release that seem wise to
    include in buster.
    * Closes: #922967 [CVE-2019-8904]
    * Closes: #922968 [CVE-2019-8905 CVE-2019-8907]
    * Closes: #922969 [CVE-2019-8906]
  * Cherry-pick two documentation fix commits

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2019 09:27:11 +0100

file (1:5.35-2) unstable; urgency=medium

  * Upload to unstable
  * Clarify manpage: seccomp is disabled for the time being (#917930)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 11 Jan 2019 17:26:27 +0100

file (1:5.35-1) experimental; urgency=medium

  * New upstream version 5.35, upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 03 Nov 2018 14:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: file
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
-Homepage: http://www.darwinsys.com/file/
-Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 10~),
+Homepage: https://www.darwinsys.com/file/
+Standards-Version: 4.1.5
+Vcs-Browser: https://git.in-ulm.de/cbiedl/file
+Vcs-Git: https://git.in-ulm.de/cbiedl/file.git
+Build-Depends: debhelper (>= 11~),
     zlib1g-dev,
 Priority: standard
 Section: utils

## file 5.35.1.1

=== debian/changelog ===
file (1:5.35.1.1-1+dde) unstable; urgency=medium

  * update

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 31 Mar 2021 17:06:54 +0800

file (1:5.35.1-4+deb10u2) buster; urgency=medium

  * Change default for name/use to 50. Closes: #928009

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 Jan 2021 22:40:17 +0100

file (1:5.35.1-4+deb10u1) buster-security; urgency=high

  * Cherry-pick commit to restrict the number of CDF_VECTOR elements.
    Closes: #942830 [CVE-2019-18218]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 22 Oct 2019 21:57:17 +0200

file (1:5.35.1-1+dde) unstable; urgency=medium

  * Cherry-pick fix for JSON detection. Closes: 922874

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Mar 2019 08:05:54 +0100

## file 5.35.4

=== debian/changelog ===
file (1:5.35.4-deepin1) unstable; urgency=medium

  * fix appearance_unmap nullstr-with-offset.

 -- liaoyuan <liaoyuan@uniontech.com>  Wed, 08 Mar 2023 17:23:17 +0800

file (1:5.35.3-1+dde) unstable; urgency=medium

  * Enable Shenwei patch.

 -- Zhang Feilong <zhangfeilong@uniontech.com>  Tue, 06 Dec 2022 14:19:08 +0800

file (1:5.35.2-1) unstable; urgency=medium

  * version update
  * Due to the need for the release version, temporarily disable Shenwei patch

 -- qinzhiben <qinzhiben@uniontech.com>  Tue, 27 Jul 2021 15:45:17 +0800

## file 5.37

=== debian/changelog ===
file (1:5.37-5ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via CDF_VECTOR elements
    - debian/patches/CVE-2019-18218.patch: limit the number of elements in
      a vector in src/cdf.*.
    - CVE-2019-18218

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Oct 2019 12:47:32 -0400

file (1:5.37-5) unstable; urgency=medium

  * Re-disable seccomp support, not feasible. Closes: #932480,
    #932481, #932762, #932947

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 26 Jul 2019 16:20:28 +0200

file (1:5.37-4) unstable; urgency=medium

  * Cherry-pick two commits that fine-tune seccomp handling
  * Allow syscalls make by libfakeroot. Closes: #932762

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 23 Jul 2019 01:34:12 +0200

file (1:5.37-3) unstable; urgency=medium

  * Cherry-pick "Always support the --no-sandbox option"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Jul 2019 23:33:03 +0200

file (1:5.37-2) unstable; urgency=medium

  * New upstream version 5.37, upload to unstable
  * Refine seccomp support. Closes: #931985
  * Cherry-pick "Add lzma decompression support"
  * Cherry-pick "Add lzma and bzip built-in decompression support"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Jul 2019 16:18:13 +0200

file (1:5.37-1) experimental; urgency=medium

  * New upstream version 5.37, upload to experimental
  * Enable seccomp support. Closes: #917930

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Jul 2019 18:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://www.darwinsys.com/file/
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/file
 Vcs-Git: https://git.in-ulm.de/cbiedl/file.git
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
+    libbz2-dev,
+    liblzma-dev,
     zlib1g-dev,
 Priority: standard
 Section: utils
@@ -14,6 +16,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
     libmagic1 (= ${binary:Version}),
+Breaks:
+    debhelper (<< 12.2~),
 Multi-Arch: foreign
 Description: Recognize the type of data in a file using "magic" numbers
  The file command is "a file type guesser", a command-line tool that

## file 5.38

=== debian/changelog ===
file (1:5.38-4) unstable; urgency=medium

  * Use the just-built file executable when running several debhelper
    programs. Closes: #948619
  * Explicitly disable seccomp support. Closes: #948522

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 16 Jan 2020 21:39:11 +0100

file (1:5.38-3) unstable; urgency=medium

  * Revert upstream commit "... count as dynamically linked only the
    binaries that have an interpreter". Closes: #948269

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 06 Jan 2020 12:22:22 +0100

file (1:5.38-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 05 Jan 2020 21:25:41 +0100

file (1:5.38-1) experimental; urgency=medium

  * New upstream version 5.38, upload to experimental
    Closes: #939818
  * Disable WE32K executables. Closes: #913867

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 19 Dec 2019 20:19:12 +0100

file (1:5.37-6) unstable; urgency=high

  * Cherry-pick commit to restrict the number of CDF_VECTOR elements.
    Closes: #942830 [CVE-2019-18218]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 22 Oct 2019 21:05:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: file
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://www.darwinsys.com/file/
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.in-ulm.de/cbiedl/file
 Vcs-Git: https://git.in-ulm.de/cbiedl/file.git
-Build-Depends: debhelper-compat (= 11),
+Testsuite: autopkgtest
+Build-Depends: debhelper-compat (= 12),
     libbz2-dev,
     liblzma-dev,
     zlib1g-dev,
 Priority: standard
+Rules-Requires-Root: no
 Section: utils
 
 Package: file

## file 5.39

=== debian/changelog ===
file (1:5.39-3) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 19 Nov 2020 22:21:06 +0100

file (1:5.39-2) experimental; urgency=medium

  * Upload to experimental
  * Cherry-pick commit "Include # (alternate format) to the list of
    uninteresting formats"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 03 Nov 2020 08:35:01 +0100

file (1:5.39-1) experimental; urgency=medium

  * New upstream version 5.39, upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 31 Oct 2020 11:12:40 +0100

file (1:5.38-5) unstable; urgency=medium

  * Change default for name/use to 50. Closes: #928009
  * Fix regression in detection of troff files. Closes: #949878

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 16 May 2020 21:55:21 +0200

## file 5.41

=== debian/changelog ===
file (1:5.41-3ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer over-read in file_copystr
    - debian/patches/CVE-2022-48554.patch: don't use strlcpy to copy the
      string in src/funcs.c.
    - CVE-2022-48554

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Sep 2023 13:59:06 -0400

file (1:5.41-3) unstable; urgency=medium

  * Cherry-pick commit to avoid mis-detection of .dbf as executable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 24 Mar 2022 18:07:09 +0100

file (1:5.41-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Nov 2021 19:16:34 +0100

file (1:5.41-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.41. Closes: #810501

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 29 Oct 2021 19:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: file
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://www.darwinsys.com/file/
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/file
 Vcs-Git: https://git.in-ulm.de/cbiedl/file.git
-Testsuite: autopkgtest
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     libbz2-dev,
     liblzma-dev,
     zlib1g-dev,

## file 5.44

=== debian/changelog ===
file (1:5.44-3) unstable; urgency=medium

  * Cherry-pick fixes related to APK file detection

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 28 Jan 2023 19:17:20 +0100

file (1:5.44-2) unstable; urgency=medium

  * Cherry-pick several commits to improve the detection of APK files.
    Closes: #849782

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 15 Jan 2023 19:15:20 +0100

file (1:5.44-1) unstable; urgency=medium

  * New upstream version 5.44
  * Cherry-pick "Pyzip improvements". Closes: #1026976
  * Detect smali files

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 10 Jan 2023 21:39:37 +0100

file (1:5.43-3) experimental; urgency=medium

  * Refine autopkgtest

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 22 Dec 2022 21:39:48 +0100

file (1:5.43-2) experimental; urgency=medium

  * Upload to experimental
  * Include all upstream commits since the 5.43 release.
    Closes: #1024639, #1026460

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 21 Dec 2022 22:10:41 +0100

file (1:5.43-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.43. Closes: #922874, #1012426

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 11 Oct 2022 21:41:11 +0200

file (1:5.41-4) unstable; urgency=medium

  * Use the just-built file executable only if it exists

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Apr 2022 12:49:37 +0200

## file 5.45

=== debian/changelog ===
file (1:5.45-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:22 +0000

file (1:5.45-3) unstable; urgency=medium

  * Cherry-pick "Recognize unified diff output". Closes: #1063522

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2024 18:30:40 +0100

file (1:5.45-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063113

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:59:20 +0000

file (1:5.45-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Sep 2023 11:40:05 +0200

file (1:5.45-1) experimental; urgency=medium

  * New upstream version 5.45
  * Upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 30 Jul 2023 21:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://www.darwinsys.com/file/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/file
 Vcs-Git: https://git.in-ulm.de/cbiedl/file.git
 Build-Depends: debhelper-compat (= 13),
+    dpkg-dev (>= 1.22.5),
     libbz2-dev,
     liblzma-dev,
     zlib1g-dev,
@@ -16,7 +17,7 @@
 Package: file
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-    libmagic1 (= ${binary:Version}),
+    libmagic1t64 (= ${binary:Version}),
 Breaks:
     debhelper (<< 12.2~),
 Multi-Arch: foreign
@@ -26,14 +27,19 @@
  .
  This package contains the file program itself.
 
-Package: libmagic1
+Package: libmagic1t64
 Architecture: any
-Pre-Depends:
-    ${misc:Pre-Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
     libmagic-mgc (= ${binary:Version}),
 Suggests:
     file,
+Breaks:
+    libmagic1 (<< ${source:Version}),
+Replaces:
+    libmagic1,
+Provides:
+    ${t64:Provides},
 Section: libs
 Priority: optional
 Multi-Arch: same
@@ -45,22 +51,22 @@
 Architecture: any
 Depends: ${misc:Depends},
 Breaks:
-    libmagic1 (<< 1:5.28-4~),
+    libmagic1t64 (<< 1:5.28-4~),
 Replaces:
-    libmagic1 (<< 1:5.28-4~),
+    libmagic1t64 (<< 1:5.28-4~),
 Section: libs
 Priority: optional
 Multi-Arch: foreign
 Description: File type determination library using "magic" numbers (compiled magic file)
  This package provides the compiled magic file "magic.mgc". It has
- been separated from libmagic1 in order to meet the multiarch
+ been separated from libmagic1t64 in order to meet the multiarch
  requirements without breaking applications that expect this file
  at its absolute path.
 
 Package: libmagic-dev
 Architecture: any
 Depends: ${misc:Depends},
-    libmagic1 (= ${binary:Version}),
+    libmagic1t64 (= ${binary:Version}),
 Suggests:
     file,
 Section: libdevel

=== debian/watch ===

version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    ftp://ftp.astron.com/pub/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## file 5.46

=== debian/changelog ===
file (1:5.46-5build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:49:46 +0000

file (1:5.46-5) unstable; urgency=high

  * Cherry-pick "Some zip files are misclassified as data".
    Closes: #1102577

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 11 Apr 2025 07:25:13 +0200

file (1:5.46-4) unstable; urgency=high

  * Cherry-pick "Fix stack overrun". Closes: #1101470

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 28 Mar 2025 18:53:57 +0100

file (1:5.46-3) unstable; urgency=medium

  * Cherry-pick some fixes from upstream. Closes: #1100712

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 20 Mar 2025 20:08:48 +0100

file (1:5.46-2) unstable; urgency=medium

  * Upload to unstable
  * Fix size information for 128x128 ico files. Closes: #1098991
  * Stricter PostScript magic. Closes: #988451

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 13 Mar 2025 20:27:59 +0100

file (1:5.46-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.46
    Closes: #800328, #976313
  * libmagic-mgc: Drop old versioned dependency, also Closes: #1069915
    Thanks Steve Langasek, and rest in peace.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 02 Mar 2025 13:36:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: file
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://www.darwinsys.com/file/
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/file
@@ -50,10 +49,6 @@
 Package: libmagic-mgc
 Architecture: any
 Depends: ${misc:Depends},
-Breaks:
-    libmagic1t64 (<< 1:5.28-4~),
-Replaces:
-    libmagic1t64 (<< 1:5.28-4~),
 Section: libs
 Priority: optional
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 # HOWMANY is the number of bytes looked at by file
 CFLAGS += -DHOWMANY=0x18000
+
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	export PATH := $(CURDIR)/debian/run-file:$(PATH)
+	export CURDIR
+endif
 
 %:
 	dh $@
@@ -16,6 +21,7 @@
 		--mandir=\$${prefix}/share/man \
 		--enable-fsect-man5 \
 		--enable-static \
+		--disable-libseccomp \
 		--disable-silent-rules CFLAGS="$(CFLAGS)"
 
 override_dh_auto_install:

## file cmds-46

=== compress/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = compress

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = compress.c zopen.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble compress.1\
            zopen.3 uncompress.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/developer_cmds/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== ls/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = ls

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = extern.h ls.h

CFILES = cmp.c ls.c print.c stat_flags.c util.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble ls.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== pax/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = pax

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = cache.h cpio.h extern.h ftree.h options.h pat_rep.h pax.h\
         sel_subs.h tables.h tar.h

CFILES = ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c\
         ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c\
         sel_subs.c tables.c tar.c tty_subs.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble pax.1 cpio.1\
            tar.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## file cmds-47

=== Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = file_cmds

PROJECTVERSION = 2.8
PROJECT_TYPE = Aggregate

TOOLS = chflags chmod chown compress cp dd df du install ln ls\
        mkdir mkfifo mknod mtree mv pax rm rmdir rmt shar tcopy\
        touch

OTHERSRCS = PROJECT Makefile.preamble Makefile Makefile.postamble

MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = aggregate.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


NEXTSTEP_PB_CFLAGS = -Wall -Werror


NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## file cmds-53

=== cp/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = cp

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = extern.h

CFILES = cp.c utils.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble cp.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


NEXTSTEP_PB_CFLAGS = -DVM_AND_BUFFER_CACHE_SYNCHRONIZED


NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== df/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = df

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = df.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble df.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== install/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = install

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = pathnames.h

CFILES = xinstall.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble install.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/developer_cmds/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mkdir/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mkdir

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = mkdir.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble mkdir.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mkfifo/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mkfifo

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = mkfifo.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble mkfifo.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/developer_cmds/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mtree/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mtree

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = extern.h mtree.h

CFILES = compare.c create.c misc.c mtree.c spec.c verify.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble mtree.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== rm/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = rm

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = rm.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble rm.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== rmdir/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = rmdir

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = rmdir.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble rmdir.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== rmt/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = rmt

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = rmt.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble rmt.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/$(NAME)/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== touch/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = touch

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = touch.c

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble touch.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/developer_cmds/Build

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
